Subject: Re: [PATCH] Add 'git fast-export', the sister of 'git fast-import'

From: Jakub Narebski <[email-masked]>
Date: Wed, 28 Nov 2007 00:40:30 +0100

Johannes Schindelin wrote:

> On Mon, 26 Nov 2007, Shawn O. Pearce wrote:

>> I think this should be prefixed by fast-import patch to teach it 
>> something like "encoding N" as a subcommand of commit, so that you can 
>> feed data in a non UTF-8 encoding and get it to include the proper 
>> encoding header in the commit object it creates.  That way a pipeline 
>> like the above really does create a duplicate repository, with the same 
>> commit SHA-1s, even if the commits weren't in UTF-8.
> 
> IMHO it's not worth that hassle.  People who want to use fast-import 
> usually want something fast which works, and not bother with specifying 
> encodings.

Well, when I am converting some repository which uses legacy encoding
(not utf-8), I'd like to use this git feature of specifying encoding;
actually, to be generic, it could be any header which would be added to
all created commit objects.

Yes, I could reencode commit messages...

P.S. One nice use of proposed (at one time) 'note' header would be to
save revision identifier from the version control system you import
(CVS revision number, Subversion sequential revision number, etc.).

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git